Package com.avaya.clientservices.call.feature

## Enum RingPattern

- java.lang.Object
- - java.lang.Enum<RingPattern>
  - - com.avaya.clientservices.call.feature.RingPattern

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RingPattern>`

      public enum RingPattern
      extends java.lang.Enum<RingPattern>

  The call pickup alert pattern feature values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HALFRING` | Half Ring pattern.
    `INTERCOM` | Intercom Ring pattern.
    `UNDEFINED` | Undefined Ring pattern.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RingPattern` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RingPattern[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final RingPattern UNDEFINED

      Undefined Ring pattern.

    - #### HALFRING

          public static final RingPattern HALFRING

      Half Ring pattern.

    - #### INTERCOM

          public static final RingPattern INTERCOM

      Intercom Ring pattern.

  - ### Method Detail

    - #### values

          public static RingPattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RingPattern c : RingPattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RingPattern valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null